Bug 245512 - Spurious completions during NCQ - HSM violation
Spurious completions during NCQ - HSM violation
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 14:54 EDT by Allen Kistler
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 05:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (21.90 KB, text/plain)
2007-06-24 14:54 EDT, Allen Kistler
no flags Details
dmesg (13.88 KB, text/plain)
2007-06-24 14:55 EDT, Allen Kistler
no flags Details

  None (edit)
Description Allen Kistler 2007-06-24 14:54:32 EDT
Description of problem:
The following error consistently appears at apparently random intervals in syslog:

kernel: ata1.00: exception Emask 0x2 SAct 0x1001 SErr 0x0 action 0x2 frozen
kernel: ata1.00: (spurious completions during NCQ issue=0x0 SAct=0x1001
FIS=004040a1:00000800)
kernel: ata1.00: cmd 61/08:00:39:2b:cc/00:00:08:00:00/40 tag 0 cdb 0x0 data 4096 out
kernel:          res 40/00:00:39:2b:cc/00:00:08:00:00/40 Emask 0x2 (HSM violation)
kernel: ata1.00: cmd 61/08:60:e1:2b:cc/00:00:08:00:00/40 tag 12 cdb 0x0 data
4096 out
kernel:          res 40/00:00:39:2b:cc/00:00:08:00:00/40 Emask 0x2 (HSM violation)

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7 (and previous)

How reproducible:
Always (but random)

Steps to Reproduce:
1. boot
2. wait
  
Actual results:


Expected results:


Additional info:

Hardware is Dell OptiPlex 320.
lspci and dmesg outputs attached.
Comment 1 Allen Kistler 2007-06-24 14:54:32 EDT
Created attachment 157720 [details]
lspci
Comment 2 Allen Kistler 2007-06-24 14:55:58 EDT
Created attachment 157721 [details]
dmesg
Comment 3 Christopher Brown 2007-09-17 11:29:00 EDT
Hello Allen,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 4 Allen Kistler 2007-09-18 21:25:25 EDT
Here's one from today (18 Sep)

kernel: ata1.00: exception Emask 0x2 SAct 0xc001 SErr 0x0 action 0x2 frozen
kernel: ata1.00: (spurious completions during NCQ issue=0x0 SAct=0xc001
FIS=004040a1:00003000)
kernel: ata1.00: cmd 61/08:00:59:2b:cc/00:00:08:00:00/40 tag 0 cdb 0x0 data 4096 out
kernel:          res 40/00:00:59:2b:cc/00:00:08:00:00/40 Emask 0x2 (HSM violation)
kernel: ata1.00: cmd 61/08:70:71:2b:b4/00:00:08:00:00/40 tag 14 cdb 0x0 data
4096 out
kernel:          res 40/00:00:59:2b:cc/00:00:08:00:00/40 Emask 0x2 (HSM violation)
kernel: ata1.00: cmd 61/08:78:39:2b:cc/00:00:08:00:00/40 tag 15 cdb 0x0 data
4096 out
kernel:          res 40/00:00:59:2b:cc/00:00:08:00:00/40 Emask 0x2 (HSM violation)

My current kernel is kernel-2.6.22.5-76.fc7
Comment 5 Christopher Brown 2007-09-19 04:36:27 EDT
Okay, thanks for the update Allen. I'm re-assigning to the relevant maintainer
who may be able to shed some more light on this.

Cheers
Chris
Comment 6 Alan Cox 2007-09-19 05:57:56 EDT
Added to the list of device and versions which seem to have faulty firmware for
NCQ. Please check if newer firmware is available. In the mean time I'll push
this one into the main tree so that NCQ is blacklisted for the drive in question.

The kernel will actually disable NCQ use on the drive after a few attempts when
it sees this problem anyway.


Note You need to log in before you can comment on or make changes to this bug.